summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-08-21 18:08:47 +0000
committer Eric Hameleers <alien@slackware.com>2024-08-21 20:30:25 +0200
commita259c4df1ed631fdb093f094cbbb770d6f3fb0af (patch)
tree88c7fd9fc97f640f275381d0395a831c2a589823 /source
parent5ec7ae04a2100d1aa5e6fef5f2d392a894093962 (diff)
downloadcurrent-a259c4df1ed631fdb093f094cbbb770d6f3fb0af.tar.gz
current-a259c4df1ed631fdb093f094cbbb770d6f3fb0af.tar.xz
Wed Aug 21 18:08:47 UTC 202420240821180847
d/python-setuptools-73.0.1-x86_64-1.txz: Upgraded. d/rust-bindgen-0.70.1-x86_64-1.txz: Upgraded. n/ModemManager-1.22.0-x86_64-1.txz: Upgraded. n/dhcpcd-10.0.10-x86_64-1.txz: Upgraded. n/epic5-2.4-x86_64-1.txz: Upgraded. n/libqmi-1.34.0-x86_64-2.txz: Rebuilt. Build against libqrtr-glib with -Dqrtr=true. n/libqrtr-glib-1.2.2-x86_64-1.txz: Added. ModemManager-1.22.0 needs libqmi to be linked with this. x/xorg-server-21.1.13-x86_64-3.txz: Rebuilt. Patched changing a type from unsigned long to unsigned long long which fixes the black screen seen on 32-bit with the modesetting driver. Seems fine on 64-bit as well, so the patch is applied for all builds. The patch to default to modesetting for Intel graphics is restored (and the one for nouveau is kept as well). Thanks to Lenard Spencer for reporting that nouveau was also hitting this. Thanks to Petri Kaukasoina for the patch. x/xorg-server-xephyr-21.1.13-x86_64-3.txz: Rebuilt. x/xorg-server-xnest-21.1.13-x86_64-3.txz: Rebuilt. x/xorg-server-xvfb-21.1.13-x86_64-3.txz: Rebuilt.
Diffstat (limited to 'source')
-rwxr-xr-xsource/d/rust-bindgen/fetch-sources.sh2
-rwxr-xr-xsource/n/ModemManager/ModemManager.SlackBuild61
-rwxr-xr-xsource/n/dhcpcd/dhcpcd.SlackBuild11
-rwxr-xr-xsource/n/libqmi/libqmi.SlackBuild15
-rwxr-xr-xsource/n/libqrtr-glib/libqrtr-glib.SlackBuild120
-rw-r--r--source/n/libqrtr-glib/libqrtr-glib.url2
-rw-r--r--source/n/libqrtr-glib/slack-desc19
-rw-r--r--source/x/x11/build/xorg-server2
-rw-r--r--source/x/x11/patch/xorg-server.patch10
-rw-r--r--source/x/x11/patch/xorg-server/drmmode_display.c.1ULL.32-bit.fix.patch15
10 files changed, 208 insertions, 49 deletions
diff --git a/source/d/rust-bindgen/fetch-sources.sh b/source/d/rust-bindgen/fetch-sources.sh
index fd0802bc1..8381dc202 100755
--- a/source/d/rust-bindgen/fetch-sources.sh
+++ b/source/d/rust-bindgen/fetch-sources.sh
@@ -1,7 +1,7 @@
#!/bin/bash
#VERSION=$1
-VERSION=0.70.0
+VERSION=0.70.1
rm -rf rust-bindgen-*.tar.?z cargo-rust-bindgen*
diff --git a/source/n/ModemManager/ModemManager.SlackBuild b/source/n/ModemManager/ModemManager.SlackBuild
index c89663ad5..56e2206ab 100755
--- a/source/n/ModemManager/ModemManager.SlackBuild
+++ b/source/n/ModemManager/ModemManager.SlackBuild
@@ -33,7 +33,7 @@ BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i586 ;;
+ i?86) ARCH=i686 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -53,14 +53,11 @@ TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
OUTPUT=${OUTPUT:-$TMP}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+if [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=pentium4 -mtune=generic"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -march=x86-64 -mtune=generic -fPIC"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
@@ -90,33 +87,45 @@ if [ ! -r configure ]; then
fi
fi
-LIBSYSTEMD_LOGIN_CFLAGS="$(pkg-config --cflags libelogind)" \
-LIBSYSTEMD_LOGIN_LIBS="$(pkg-config --libs libelogind)" \
-CFLAGS="$SLKCFLAGS -Wno-incompatible-pointer-types" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+#LIBSYSTEMD_LOGIN_CFLAGS="$(pkg-config --cflags libelogind)" \
+#LIBSYSTEMD_LOGIN_LIBS="$(pkg-config --libs libelogind)" \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS -Wno-incompatible-pointer-types"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --with-polkit=no \
- --mandir=/usr/man \
- --disable-static \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --with-systemd-suspend-resume \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS || exit 1
-make install DESTDIR=$PKG || exit 1
+ --buildtype=release \
+ -Dsystemd_suspend_resume=true \
+ -Dsystemd_journal=false \
+ -Dsystemdsystemunitdir=no \
+ -Dpolkit=permissive \
+ -Dvapi=true \
+ -Dbash_completion=false \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+# Install bash-completion file manually since meson is stupid about this:
+mkdir -p $PKG/usr/share/bash-completion/completions
+cp -a cli/mmcli-completion $PKG/usr/share/bash-completion/completions
# Move dbus configs to system location:
mkdir -p $PKG/usr/share/dbus-1/system.d/
mv $PKG/etc/dbus-1/system.d/* $PKG/usr/share/dbus-1/system.d/
rmdir --parents $PKG/etc/dbus-1/system.d/
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
-
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -124,7 +133,7 @@ find $PKG/usr/man -type f -exec gzip -9 {} \+
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS COPYING* ChangeLog INSTALL NEWS README* \
+ AUTHORS* COPYING* NEWS* README* RELEASING* \
$PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
diff --git a/source/n/dhcpcd/dhcpcd.SlackBuild b/source/n/dhcpcd/dhcpcd.SlackBuild
index 82a9b44fb..780ad7495 100755
--- a/source/n/dhcpcd/dhcpcd.SlackBuild
+++ b/source/n/dhcpcd/dhcpcd.SlackBuild
@@ -37,7 +37,7 @@ NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i586 ;;
+ i?86) export ARCH=i686 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -55,14 +55,11 @@ fi
TMP=${TMP:-/tmp}
PKG=$TMP/package-dhcpcd
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
+if [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=pentium4 -mtune=generic"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -march=x86-64 -mtune=generic -fPIC"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
diff --git a/source/n/libqmi/libqmi.SlackBuild b/source/n/libqmi/libqmi.SlackBuild
index b8e921ff6..e669e1245 100755
--- a/source/n/libqmi/libqmi.SlackBuild
+++ b/source/n/libqmi/libqmi.SlackBuild
@@ -27,14 +27,14 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libqmi
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i586 ;;
+ i?86) export ARCH=i686 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -49,14 +49,11 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
+if [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=pentium4 -mtune=generic"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -march=x86-64 -mtune=generic -fPIC"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
@@ -98,7 +95,7 @@ meson setup \
--sysconfdir=/etc \
--localstatedir=/var \
--buildtype=release \
- -Dqrtr=false \
+ -Dqrtr=true \
-Dbash_completion=false \
.. || exit 1
"${NINJA:=ninja}" $NUMJOBS || exit 1
diff --git a/source/n/libqrtr-glib/libqrtr-glib.SlackBuild b/source/n/libqrtr-glib/libqrtr-glib.SlackBuild
new file mode 100755
index 000000000..0390552b0
--- /dev/null
+++ b/source/n/libqrtr-glib/libqrtr-glib.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+
+# Copyright 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libqrtr-glib
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i686 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=pentium4 -mtune=generic"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -march=x86-64 -mtune=generic -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS* NEWS* RELEASING* README* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/n/libqrtr-glib/libqrtr-glib.url b/source/n/libqrtr-glib/libqrtr-glib.url
new file mode 100644
index 000000000..59f8c2e3b
--- /dev/null
+++ b/source/n/libqrtr-glib/libqrtr-glib.url
@@ -0,0 +1,2 @@
+https://gitlab.freedesktop.org/mobile-broadband/libqrtr-glib
+https://gitlab.freedesktop.org/mobile-broadband/libqrtr-glib/-/archive/1.2.2/libqrtr-glib-1.2.2.tar.gz
diff --git a/source/n/libqrtr-glib/slack-desc b/source/n/libqrtr-glib/slack-desc
new file mode 100644
index 000000000..be4df0e5c
--- /dev/null
+++ b/source/n/libqrtr-glib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libqrtr-glib: libqrtr-glib (Qualcomm router protocol library)
+libqrtr-glib:
+libqrtr-glib: libqrtr-glib is a glib-based library to use and manage the QRTR
+libqrtr-glib: (Qualcomm IPC Router) bus.
+libqrtr-glib:
+libqrtr-glib: Homepage: https://gitlab.freedesktop.org/mobile-broadband/libqrtr-glib
+libqrtr-glib:
+libqrtr-glib:
+libqrtr-glib:
+libqrtr-glib:
+libqrtr-glib:
diff --git a/source/x/x11/build/xorg-server b/source/x/x11/build/xorg-server
index 0cfbf0888..00750edc0 100644
--- a/source/x/x11/build/xorg-server
+++ b/source/x/x11/build/xorg-server
@@ -1 +1 @@
-2
+3
diff --git a/source/x/x11/patch/xorg-server.patch b/source/x/x11/patch/xorg-server.patch
index e428c9f96..51c1dbb3b 100644
--- a/source/x/x11/patch/xorg-server.patch
+++ b/source/x/x11/patch/xorg-server.patch
@@ -18,9 +18,9 @@ zcat $CWD/patch/xorg-server/fix-nouveau-segfault.diff.gz | patch -p1 --verbose |
# Added here 2018/7.
zcat $CWD/patch/xorg-server/0001-xfree86-use-modesetting-driver-by-default-on-GeForce.patch.gz | patch -p1 --verbose || { touch ${SLACK_X_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
-# Seems that modesetting with Intel is failing on i686, so let's shove a stick in it for now:
-if [ ! "$(uname -m)" = "i686" ]; then
- # Only use Intel DDX with pre-gen4 hardware. Newer hardware will the the modesetting driver by default:
- zcat $CWD/patch/xorg-server/06_use-intel-only-on-pre-gen4.diff.gz | patch -p1 --verbose || { touch ${SLACK_X_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
-fi
+# Only use Intel DDX with pre-gen4 hardware. Newer hardware will the the modesetting driver by default:
+zcat $CWD/patch/xorg-server/06_use-intel-only-on-pre-gen4.diff.gz | patch -p1 --verbose || { touch ${SLACK_X_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
+
+# Change a type from 1UL to 1ULL, which prevents a black screen on 32-bit Linux:
+zcat $CWD/patch/xorg-server/drmmode_display.c.1ULL.32-bit.fix.patch.gz | patch -p1 --verbose || { touch ${SLACK_X_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
diff --git a/source/x/x11/patch/xorg-server/drmmode_display.c.1ULL.32-bit.fix.patch b/source/x/x11/patch/xorg-server/drmmode_display.c.1ULL.32-bit.fix.patch
new file mode 100644
index 000000000..28ff18825
--- /dev/null
+++ b/source/x/x11/patch/xorg-server/drmmode_display.c.1ULL.32-bit.fix.patch
@@ -0,0 +1,15 @@
+--- ./hw/xfree86/drivers/modesetting/drmmode_display.c.orig 2024-04-12 12:17:00.000000000 -0500
++++ ./hw/xfree86/drivers/modesetting/drmmode_display.c 2024-08-21 12:42:00.586800840 -0500
+@@ -63,9 +63,9 @@
+ void *pPixData);
+
+ static const struct drm_color_ctm ctm_identity = { {
+- 1UL << 32, 0, 0,
+- 0, 1UL << 32, 0,
+- 0, 0, 1UL << 32
++ 1ULL << 32, 0, 0,
++ 0, 1ULL << 32, 0,
++ 0, 0, 1ULL << 32
+ } };
+
+ static Bool ctm_is_identity(const struct drm_color_ctm *ctm)